package com.yuyu.srdisassemble.pojo;

import java.util.HashMap;
import java.util.List;

/**
 * @author 峰。
 * @version 1.0
 * @project SrDisassemble
 * @date 2024/6/19 21:49:48
 * @description 可分解的物品
 */
public class CanDisItem {
    private  String itemName;
    private  int disTime;
    private String target;
    private String targetIndex;
    private  HashMap<String,DisProduct> disProductHashMap;

    public void setTarget(String target) {
        this.target = target;
    }

    public void setTargetIndex(String targetIndex) {
        this.targetIndex = targetIndex;
    }

    public String getTarget() {
        return target;
    }

    public String getTargetIndex() {
        return targetIndex;
    }

    public String getItemName() {
        return itemName;
    }

    public int getDisTime() {
        return disTime;
    }

    public HashMap<String, DisProduct> getDisProductHashMap() {
        return disProductHashMap;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public void setDisTime(int disTime) {
        this.disTime = disTime;
    }

    public void setDisProductHashMap(HashMap<String, DisProduct> disProductHashMap) {
        this.disProductHashMap = disProductHashMap;
    }

    public CanDisItem(String itemName, int disTime,String target,String targetIndex) {
        this.itemName = itemName;
        this.disTime = disTime;
        this.target = target;
        this.targetIndex = targetIndex;
    }

    public CanDisItem(String itemName, int disTime, HashMap<String, DisProduct> disProductHashMap) {
        this.itemName = itemName;
        this.disTime = disTime;
        this.disProductHashMap = disProductHashMap;
    }
}
